/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：设备型号管理表
*
* createdate:  2022-09-13 09:51:40  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "设备型号管理表")
public class CdDeviceModelUpdateDto implements Serializable
{
    /**
     * 机型id<br>
     */
    @ApiModelProperty("机型id")
    @Size(max = 32, message="机型id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 所属品牌<br>
     */
    @ApiModelProperty("所属品牌")
    @Size(max = 32, message="所属品牌-brandId: 数据长度不能 > 32" )
    private String brandId;
    /**
     * 产品名称<br>
     */
    @ApiModelProperty("产品名称")
    @Size(max = 128, message="产品名称-productName: 数据长度不能 > 128" )
    private String productName;
    /**
     * 屏幕尺寸<br>
     */
    @ApiModelProperty("屏幕尺寸")
    @Size(max = 32, message="屏幕尺寸-screenSize: 数据长度不能 > 32" )
    private String screenSize;
    /**
     * 分辨率<br>
     */
    @ApiModelProperty("分辨率")
    @Size(max = 32, message="分辨率-resolution: 数据长度不能 > 32" )
    private String resolution;
    /**
     * 类型<br>
     */
    @ApiModelProperty("类型")
    @Size(max = 1, message="类型-type: 数据长度不能 > 1" )
    private String type;
    /**
     * 机型图片<br>
     */
    @ApiModelProperty("机型图片")
    private String modelImg;
    /**
     * 系统版本<br>
     */
    @ApiModelProperty("系统版本")
    @Size(max = 32, message="系统版本-systemVersion: 数据长度不能 > 32" )
    private String systemVersion;
    /**
     * cpu核心数<br>
     */
    @ApiModelProperty("cpu核心数")
    private Integer cpuCoreNum;
    /**
     * cpu型号<br>
     */
    @ApiModelProperty("cpu型号")
    @Size(max = 32, message="cpu型号-cpuModel: 数据长度不能 > 32" )
    private String cpuModel;
    /**
     * cpu品牌<br>
     */
    @ApiModelProperty("cpu品牌")
    @Size(max = 32, message="cpu品牌-cpuBrand: 数据长度不能 > 32" )
    private String cpuBrand;
    /**
     * 内存大小<br>
     */
    @ApiModelProperty("内存大小")
    @Size(max = 32, message="内存大小-ramSize: 数据长度不能 > 32" )
    private String ramSize;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBrandId() {
        return brandId;
    }

    public void setBrandId(String brandId) {
        this.brandId = brandId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getScreenSize() {
        return screenSize;
    }

    public void setScreenSize(String screenSize) {
        this.screenSize = screenSize;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getModelImg() {
        return modelImg;
    }

    public void setModelImg(String modelImg) {
        this.modelImg = modelImg;
    }

    public String getSystemVersion() {
        return systemVersion;
    }

    public void setSystemVersion(String systemVersion) {
        this.systemVersion = systemVersion;
    }

    public Integer getCpuCoreNum() {
        return cpuCoreNum;
    }

    public void setCpuCoreNum(Integer cpuCoreNum) {
        this.cpuCoreNum = cpuCoreNum;
    }

    public String getCpuModel() {
        return cpuModel;
    }

    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    public String getCpuBrand() {
        return cpuBrand;
    }

    public void setCpuBrand(String cpuBrand) {
        this.cpuBrand = cpuBrand;
    }

    public String getRamSize() {
        return ramSize;
    }

    public void setRamSize(String ramSize) {
        this.ramSize = ramSize;
    }
}